Claim Component Publisher
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
namespace*string
projectId?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/component-registry/publisher" \ -H "Content-Type: application/json" \ -d '{ "namespace": "string" }'{ "createdAt": "string", "id": "string", "namespace": "string"}{ "_tag": "Api/SdkValidationError", "message": "string"}{ "_tag": "Api/AuthenticationError", "cause": "string", "message": "string"}{ "_tag": "Api/ActionForbiddenError", "message": "string"}{ "_tag": "Api/ComponentNotFoundError", "message": "string"}{ "_tag": "Api/ComponentInvalidError", "message": "string", "problems": [ "string" ]}{ "_tag": "Api/ComponentServiceError", "message": "string"}